Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.dockbar.layout
Class DockbarLayoutManager

    java.lang.Object
      org.flexdock.dockbar.layout.DockbarLayoutManager

    public class DockbarLayoutManager

extends Object

Author:
  Christopher Butler

Constructor Summary
`DockbarLayoutManager()`

Method Summary
`JComponent` | `getEdgeGuide(DockbarManager mgr, int edge)`
`Rectangle` | `getLayoutArea(DockbarManager mgr)`
`static DockbarLayoutManager` | `getManager()`
`Rectangle` | `getViewArea(DockbarManager mgr, Dockable dockable)`
`static void` | `setManager(DockbarLayoutManager mgr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockbarLayoutManager

    public DockbarLayoutManager()

Method Detail

### getManager

    public static DockbarLayoutManager getManager()

### setManager

    public static void setManager(DockbarLayoutManager mgr)

### getViewArea

    public Rectangle getViewArea(DockbarManager mgr,
                                 Dockable dockable)

### getLayoutArea

    public Rectangle getLayoutArea(DockbarManager mgr)

### getEdgeGuide

    public JComponent getEdgeGuide(DockbarManager mgr,
                                   int edge)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD